path: /build/build/zipp-dev-python-3.17.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_pypy3 -python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge dev-python/zipp -pv -t && \
    USE="-python_targets_pypy3 -python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/zipp
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/zipp && luet-portage --dir /pkgdir/zipp
    dev-python/zipp && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:bee45bc3b5b99d915075e7ac77d6161703e8e01af53339dd60a177660fc5bc22
  package:
    name: zipp
    version: 3.17.0
    category: dev-python
    use_flags:
    - -python_targets_pypy3
    - -python_targets_python2_7
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python_targets_python3_9
    requires:
    - name: macaroni-funtoo-race1
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Backport of pathlib-compatible object wrapper for zip files
    uri:
    - https://github.com/jaraco/zipp
    license: MIT
    buildtimestamp: 2023-10-16 21:19:03.188039084 +0000 UTC m=+57.591262483
    labels:
      BDEPEND: python_targets_pypy3? ( >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python3_10?
        ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        >=dev-python/setuptools-42.0.2[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      IUSE: python_targets_python2_7 python_targets_pypy3 python_targets_python3_7
        python_targets_python3_9 python_targets_python3_8 python_targets_python3_10
      RDEPEND: python_targets_python2_7? ( dev-python/zipp-compat ) dev-python/toml[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        dev-python/setuptools_scm[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        python_targets_pypy3? ( >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python3_10?
        ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      emerge.packages: dev-python/zipp
      kit: python-modules-kit
      original.package.name: dev-python/zipp
      original.package.slot: "0"
      original.package.version: 3.17.0
    treedir: /build/packages
  package_dir: /pkgdir/zipp
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: b66ed059810570a0ce9da0b43ebda5abbba2cfff51327ed2da2e56516be753aa
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/zipp/__init__.py
- usr/lib/python3.9/site-packages/zipp/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/zipp/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/zipp/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/zipp/__pycache__/glob.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/zipp/__pycache__/glob.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/zipp/__pycache__/glob.cpython-39.pyc
- usr/lib/python3.9/site-packages/zipp/__pycache__/py310compat.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/zipp/__pycache__/py310compat.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/zipp/__pycache__/py310compat.cpython-39.pyc
- usr/lib/python3.9/site-packages/zipp/glob.py
- usr/lib/python3.9/site-packages/zipp/py310compat.py
- usr/lib/python3.9/site-packages/zipp-0.0.0-py3.9.egg-info/PKG-INFO
- usr/lib/python3.9/site-packages/zipp-0.0.0-py3.9.egg-info/SOURCES.txt
- usr/lib/python3.9/site-packages/zipp-0.0.0-py3.9.egg-info/dependency_links.txt
- usr/lib/python3.9/site-packages/zipp-0.0.0-py3.9.egg-info/not-zip-safe
- usr/lib/python3.9/site-packages/zipp-0.0.0-py3.9.egg-info/requires.txt
- usr/lib/python3.9/site-packages/zipp-0.0.0-py3.9.egg-info/top_level.txt
- usr/share/doc/zipp-3.17.0/README.rst.bz2
- var/db/pkg/dev-python/zipp-3.17.0/BDEPEND
- var/db/pkg/dev-python/zipp-3.17.0/BUILD_TIME
- var/db/pkg/dev-python/zipp-3.17.0/CATEGORY
- var/db/pkg/dev-python/zipp-3.17.0/CBUILD
- var/db/pkg/dev-python/zipp-3.17.0/CFLAGS
- var/db/pkg/dev-python/zipp-3.17.0/CHOST
- var/db/pkg/dev-python/zipp-3.17.0/CONTENTS
- var/db/pkg/dev-python/zipp-3.17.0/COUNTER
- var/db/pkg/dev-python/zipp-3.17.0/CXXFLAGS
- var/db/pkg/dev-python/zipp-3.17.0/DEFINED_PHASES
- var/db/pkg/dev-python/zipp-3.17.0/DESCRIPTION
- var/db/pkg/dev-python/zipp-3.17.0/EAPI
- var/db/pkg/dev-python/zipp-3.17.0/FEATURES
- var/db/pkg/dev-python/zipp-3.17.0/HOMEPAGE
- var/db/pkg/dev-python/zipp-3.17.0/INHERITED
- var/db/pkg/dev-python/zipp-3.17.0/IUSE
- var/db/pkg/dev-python/zipp-3.17.0/IUSE_EFFECTIVE
- var/db/pkg/dev-python/zipp-3.17.0/KEYWORDS
- var/db/pkg/dev-python/zipp-3.17.0/LDFLAGS
- var/db/pkg/dev-python/zipp-3.17.0/LICENSE
- var/db/pkg/dev-python/zipp-3.17.0/PF
- var/db/pkg/dev-python/zipp-3.17.0/RDEPEND
- var/db/pkg/dev-python/zipp-3.17.0/SIZE
- var/db/pkg/dev-python/zipp-3.17.0/SLOT
- var/db/pkg/dev-python/zipp-3.17.0/USE
- var/db/pkg/dev-python/zipp-3.17.0/environment.bz2
- var/db/pkg/dev-python/zipp-3.17.0/repository
- var/db/pkg/dev-python/zipp-3.17.0/zipp-3.17.0.ebuild
package_cacheimage: ""
runtime:
  name: zipp
  version: 3.17.0
  category: dev-python
  use_flags:
  - -python_targets_pypy3
  - -python_targets_python2_7
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python_targets_python3_9
  requires:
  - name: setuptools_scm
    version: '>=0'
    category: dev-python
  - name: toml
    version: '>=0'
    category: dev-python
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Backport of pathlib-compatible object wrapper for zip files
  uri:
  - https://github.com/jaraco/zipp
  license: MIT
  labels:
    BDEPEND: python_targets_pypy3? ( >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) python_targets_python3_10? ( dev-lang/python:3.10 )
      >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      >=dev-python/setuptools-42.0.2[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
    IUSE: python_targets_python2_7 python_targets_pypy3 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8 python_targets_python3_10
    RDEPEND: python_targets_python2_7? ( dev-python/zipp-compat ) dev-python/toml[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      dev-python/setuptools_scm[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      python_targets_pypy3? ( >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) python_targets_python3_10? ( dev-lang/python:3.10 )
      >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
    emerge.packages: dev-python/zipp
    kit: python-modules-kit
    original.package.name: dev-python/zipp
    original.package.slot: "0"
    original.package.version: 3.17.0
